PapyrusUtil SE - Modders Scripting Utility Functions (AE)
23.11.2021 1588 509 Автор мода: exiledviper Автор публикации: k©קaso√® Версия: 4.1 Перевод: Мультиязычный

PapyrusUtil SE - Modders Scripting Utility Functions (AE)

Этот плагин PapyrusUtil является ресурсом для мододелов и для создания некоторых модов для игры Skyrim AE, которые вынуждены иметь данное ядро/плагин для функционала и работы модов. Этот SKSE64 плагин позволяет сохранять любое количество int, float, form, string и строковых значений из скриптов папируса. Также поддерживает списки всех типов данных. Эти значения могут быть доступны из любого мода, позволяющие легко динамически сделать совместимость. А также, многие игроки сталкивались с такой ошибкой, когда при входе в игру через SKSE64 показывается уведомление, в котором написано "Устаревший или отсутствующий Papyrus Util плагин для SKSE64", это значит что у вас не установлены некоторые крайне важные скриптовые файлы и dll. для корректной работы некоторых модов, которые имеют привязку к SKSE64. Этот плагин называется "PapyrusUtil", он разработан в основном для мододелов, чтобы использовать данный плагин в своих модах, некоторые моды как раз и требуют наличие этого плагина для работы функционала.

Обновление:4.1
* Обновлено для игры Skyrim AE 1.6.323.0.8 и SKSE64 AE 2.1.3 и выше
* Добавлено требование Address Library for SKSE Plugins

Обновление:4.0
* Обновлено для игры Skyrim AE 1.6.318.0.8 и SKSE64 AE 2.1.2
* В PapyrusUtil.psc добавлены функции RemoveDupe (), GetDiff () и GetMatching ().
* Исправлена ошибка, из-за которой JsonUtil возвращал неправильное значение формы при выгрузке связанного плагина.

Требования:
Skyrim AE 1.6.323.0.8
SKSE64 AE 2.1.3 и выше
Address Library for SKSE Plugins 3.0 и выше

Совместимость:
- Совместим со всем

Установка:(можно вручную или через менеджеры модов)
Скачать архив и установить через менеджеры модов или вручную, берем все содержимое из папки Data в архиве и помещаем в папку Data в игре, подтвердите слияние папок и файлов, если такие же файлы есть в каких-то модах.

ВАЖНО!!!
* ЕСЛИ ВЫ ПОЛУЧАЕТЕ ПРЕДУПРЕЖДЕНИЕ О НЕСОВМЕСТИМОСТИ ОТ "MOD ORGANIZER" ИЛИ "VORTEX", ТО УБЕДИТЕСЬ, ЧТО ЭТОТ МОД ПЕРЕЗАПИСЫВАЕТ ВСЕ ОСТАЛЬНЫЕ МОДЫ, В КОТОРЫХ ТАК ЖЕ ИМЕЮТСЯ ТАКИЕ ЖЕ ФАЙЛЫ. ТО ЕСТЬ, ДАННЫЙ PapyrusUtil ДОЛЖЕН УСТАНАВЛИВАТЬСЯ ВСЕГДА ПОСЛЕ УЖЕ ВСЕХ УСТАНОВЛЕННЫХ МОДОВ, С ЗАМЕНОЙ ФАЙЛОВ, ЕСЛИ ТАКОВЫЕ БУДУТ.
* ПОПУЛЯРНЫЕ МОДЫ, ТАКИЕ КАК CAMPFIRE, FROSTFALL И SIMPLY KNOCK, ВКЛЮЧАЮТ В СЕБЯ УСТАРЕВШУЮ ВЕРСИЮ "PapyrusUtil" И ФАЙЛЫ, КОТОРЫЕ ВЫЗОВУТ ПРОБЛЕМЫ, ЕСЛИ НЕ БУДУТ ПЕРЕЗАПИСАНЫ САМОЙ ПОСЛЕДНЕЙ ВЕРСИЕЙ ЭТОГО ПЛАГИНА "PapyrusUtil", ПРЕДСТАВЛЕННОЙ НА ЭТОЙ СТРАНИЦЕ.
Внимание: Автор данной темы имеет право удалять комментарии пользователей, если комментарии не соответствуют правилам сайта. Если ВЫ как пользователь считаете, что ваш комментарий был удален без каких-либо на то причин и без основания, то можете написать автору данной темы, и спросить, за что был удален ВАШ комментарий, с предоставлением причины удаления, исходя от правил сайта.
Аватар tesla97
tesla97 в 12:25:20, 24.11.2021
У меня почему то SKSE при попытке запустить игру пишет, что не может загрузить плагины, сталкивался кто то?
Аватар k©קaso√®
k©קaso√® в 12:12:23, 23.11.2021
№3, Администратор
Обновление:4.1
* Обновлено для игры Skyrim AE 1.6.323.0.8 и SKSE64 AE 2.1.3 и выше
* Добавлено требование Address Library for SKSE Plugins
Аватар Agrogorn
Agrogorn в 17:45:24, 20.11.2021
Запилите пожалуйста адаптации модов FrostFall, CampFire, Realistic Needs and Diseasess потому что этот режим выживания от Клуба творчества просто мусор не логичный.
Аватар k©קaso√®
k©קaso√® в 17:58:04, 20.11.2021
№2, Администратор
обращаться нужно к авторам этих модов на нексусе, а не здесь, мы не авторы этих модов smile или ждать когда эти моды обновятся на Нексусе под игру Скайрим АЕ 1.6 и выше, тогда у нас появятся обновления этих модов
avatar
Gamer-mods.ru © 2012 - 2021. Все права защищены. Копирование материалов без указанной активной ссылки на данный сайт запрещено